CataloguesProducts
Search Products
Searches across all products from all providers.
Query Parameters
page*integer
Page to get
Default
1pageSize*integer
Number of items per page
Default
50includeEligibilities?boolean
Whether the search should include eligibilities on the product.
Default
falseproductType?string
Product type to fetch
Value in
- "Ticketing"
- "Consumable"
- "Variable"
- "TimeSlot"
subscriptionsOnly?boolean
Limit search to subscribable products only
Default
falsechannel?string
Limit search to products and variants sold on this named sales channel (e.g. 'web'), matched case-insensitively. Products and variants without a matching named channel are excluded. When omitted or blank, no channel filtering is applied. Values longer than 50 characters are rejected with 400.
Length
length <= 50isPreOrder?boolean
Filter to products with active pre-order availability
isComingSoon?boolean
Filter to products with active coming-soon availability
sort?string
Field to sort results by (e.g. 'availabilityDate')
sortDir?string
Sort direction ('asc' or 'desc')
Header Parameters
x-api-key*string
The API key for the given store
Accept-Language?string
Default
"en"Response Body
application/json
curl -X GET "https://example.com/catalogues/products?page=1&pageSize=50" \ -H "x-api-key: string"{ "results": [ { "type": "Ticketing", "ticketingProduct": { "type": "TicketedEvent", "eventType": "SportsMatch", "isHospitality": true, "name": "string", "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z", "sportsMatch": { "competition": { "name": "string", "season": { "name": "string", "start": "string", "end": "string" }, "competitionType": { "name": "string", "logoImageUrl": "string" } }, "hostTeam": { "id": "string", "name": "string", "logoImageUrl": "string" }, "opponentTeam": { "id": "string", "name": "string", "logoImageUrl": "string" } }, "rates": [ { "id": "string", "seatCategory": { "id": "string", "name": "string", "rank": 0 }, "tariff": { "id": "string", "name": "string", "rank": 0 }, "price": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "available": 0 } ], "venue": { "name": "string", "address": { "addressLine1": "string", "addressLine2": "string", "postCode": "string", "city": "string", "countryIso": "string" }, "coordinates": { "longitude": "string", "latitude": "string" } } }, "consumableProduct": { "description": "string", "shortName": "string", "brand": "string", "size": "string", "barcode": "string", "allergens": "string", "categories": [ "string" ], "price": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "tax": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "imageUrl": "http://example.com", "calories": 0 }, "variableProduct": { "priceRange": { "minimum": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "maximum": { "minorUnits": 0, "currencyCode": "string", "precision": 0 } }, "variantOptions": [ { "key": "string", "text": "string", "options": [ { "key": "string", "value": "string" } ] } ], "keywords": [ "string" ], "variants": [ { "variantSelections": [ { "key": "string", "name": "string", "value": "string" } ], "totalPrice": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "sku": "string", "ean": 0, "shippingUnits": [ { "lengthCm": 0, "widthCm": 0, "heightCm": 0, "weightGrams": 0 } ], "supplier": { "key": "string", "name": "string" }, "stock": 0, "winnerProductId": "string", "winnerSeller": { "id": "string", "name": "string", "logoUrl": "string", "metadata": { "property1": "string", "property2": "string" } }, "id": "string", "name": "string", "description": "string", "shortName": "string", "state": "Inactive", "visibility": "IfEligible", "purchaseLimits": { "perContact": 0, "perOrder": 0 }, "saleStartDate": "string", "availabilityDate": "2019-08-24T14:15:22Z", "media": [ { "type": "ImageUrl", "key": "string", "sortOrder": 0, "description": "string", "title": "string", "alternativeText": "string" } ], "meta": [ { "key": "string", "value": "string" } ], "features": [ { "type": "Subscription", "key": "string" } ], "seller": { "id": "string", "name": "string", "logoUrl": "string", "metadata": { "property1": "string", "property2": "string" } } } ] }, "eligibilities": [ { "id": "string", "type": "Ticketing", "eligibleFrom": "2019-08-24T14:15:22Z", "eligibleUntil": "2019-08-24T14:15:22Z", "name": "string", "conditionEvaluation": "NotEvaluated", "purchaseLimitPerContact": 0, "purchaseLimitPerOrder": 0 } ], "tags": [ "string" ], "searchFacets": { "property1": "string", "property2": "string" }, "id": "string", "name": "string", "description": "string", "shortName": "string", "state": "Inactive", "visibility": "IfEligible", "purchaseLimits": { "perContact": 0, "perOrder": 0 }, "saleStartDate": "string", "availabilityDate": "2019-08-24T14:15:22Z", "media": [ { "type": "ImageUrl", "key": "string", "sortOrder": 0, "description": "string", "title": "string", "alternativeText": "string" } ], "meta": [ { "key": "string", "value": "string" } ], "features": [ { "type": "Subscription", "key": "string" } ], "seller": { "id": "string", "name": "string", "logoUrl": "string", "metadata": { "property1": "string", "property2": "string" } } } ], "page": 0, "pageSize": 0, "totalResults": 0, "preOrderCount": 0, "comingSoonCount": 0}